import InterfaceMainRepository from './interface.main.repository';
import { ObjectLiteral, Repository } from 'typeorm';
export declare class MainRepository<T extends ObjectLiteral> implements InterfaceMainRepository<T> {
    datasource: Repository<T>;
    constructor();
    destroyBatch(ids: string[] | number[]): Promise<T[]>;
    mainDatasource(): Repository<T>;
    update(id: string | number, data: object): Promise<T | null>;
    destroy(id: string | number): Promise<T | null>;
    findAll(where?: object): Promise<T[]>;
    findOne(where: object): Promise<T | null>;
    create(data: T): Promise<T>;
}
